%define upstream_name    App-SmokeBox-PerlVersion
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    SmokeBox helper module to determine perl version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Quickie)
BuildArch: noarch


%description
App::SmokeBox::PerlVersion is a simple helper module for the
App::SmokeBox::Mini manpage and the minismokebox manpage that determines
and version and architecture of a given 'perl' executable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 24 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 36143
- mageia rebuild
- imported package perl-App-SmokeBox-PerlVersion


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 625083
- import perl-App-SmokeBox-PerlVersion

